Loading...
Searching...
No Matches
Rot3.cpp File Reference

Rotation, common code between Rotation matrix and Quaternion. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

pair< Matrix3, Vector3 > | gtsam::RQ (const Matrix3 &A, OptionalJacobian< 3, 9 > H=boost::none)
| [RQ] receives a 3 by 3 matrix and returns an upper triangular matrix R and 3 rotation angles corresponding to the rotation matrix Q=Qz'*Qy'*Qx' such that A = R*Q = R*Qz'*Qy'*Qx'.
ostream & | gtsam::operator<< (std::ostream &os, const Rot3 &R)

## Detailed Description

Rotation, common code between Rotation matrix and Quaternion.

Author
  Alireza Fathi
  Christian Potthast
  Frank Dellaert
  Richard Roberts
  Varun Agrawal